> ## Documentation Index
> Fetch the complete documentation index at: https://docs.jiekou.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Nano Banana 2 Reverse

## 文生图

### 接口地址

```text theme={null}
POST https://{api_domain}/v3/nano-banana-2-t2i
```

### 请求头

**Content-Type** `string` *required*

枚举值: `application/json`

**Authorization** `string` *required*

Bearer 身份验证格式，例如：\`Bearer \{\{API 密钥}}。

### 请求体

**size** `string` (default: 1x1)

输出图像尺寸比例，系统会自动映射为对应的像素尺寸。

可选值：`1x1`, `2x3`, `3x2`, `3x4`, `4x3`, `4x5`, `5x4`, `9x16`, `16x9`, `21x9`

**prompt** `string` *required*

用于生成图像的文本提示词，支持中英文。建议不超过 1000 个字符。

**quality** `string` (default: 1k)

图像生成质量等级，更高质量可生成更清晰、更细腻的图像。

可选值：`1k`, `2k`, `4k`

**response\_format** `string` (default: url)

生成图像的返回格式。

可选值：`url`, `b64_json`

### 响应

**images** `string[]`

生成的图像 URL 或 Base64 字符串数组

***

## 图生图

### 接口地址

```text theme={null}
POST https://{api_domain}/v3/nano-banana-2-i2i
```

### 请求头

**Content-Type** `string` *required*

枚举值: `application/json`

**Authorization** `string` *required*

Bearer 身份验证格式，例如：\`Bearer \{\{API 密钥}}。

### 请求体

**size** `string` (default: 1x1)

输出图像尺寸比例，系统会自动映射为对应的像素尺寸。

可选值：`1x1`, `2x3`, `3x2`, `3x4`, `4x3`, `4x5`, `5x4`, `9x16`, `16x9`, `21x9`

**image** `string` *required*

图生图参考图像，支持 URL 或 Base64 编码。

**prompt** `string` *required*

用于生成图像的文本提示词，支持中英文。建议不超过 1000 个字符。

**quality** `string` (default: 1k)

图像生成质量等级，更高质量可生成更清晰、更细腻的图像。

可选值：`1k`, `2k`, `4k`

**response\_format** `string` (default: url)

生成图像的返回格式。

可选值：`url`, `b64_json`

### 2.4 响应

**images** `string[]`

生成的图像 URL 或 Base64 字符串数组


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.